sidebarNodes={"extras":[{"group":"","headers":[{"anchor":"modules","id":"Modules"}],"id":"api-reference","title":"API Reference"},{"group":"","headers":[{"anchor":"core-ideas","id":"Core ideas"},{"anchor":"usage-example","id":"Usage Example"},{"anchor":"features-roadmap","id":"Features &amp; Roadmap"},{"anchor":"installation","id":"Installation"},{"anchor":"changelog","id":"Changelog"},{"anchor":"typecheck-compared-to-other-tools","id":"TypeCheck compared to other tools"},{"anchor":"is-it-any-good","id":"Is it any good?"}],"id":"readme","title":"Guide/Readme"},{"group":"","headers":[],"id":"changelog","title":"Changelog"},{"group":"","headers":[{"anchor":"what-about-elixir-s-built-in-typespecs-and-dialyzer","id":"What about Elixir's built-in typespecs and Dialyzer?"},{"anchor":"introducing-typecheck","id":"Introducing TypeCheck"},{"anchor":"an-example","id":"An Example"},{"anchor":"adding-typecheck","id":"Adding TypeCheck"},{"anchor":"efficiency-of-runtime-checks","id":"Efficiency of runtime checks"},{"anchor":"spectests","id":"Spectests"},{"anchor":"more-general-properties","id":"More general properties"},{"anchor":"there-is-more","id":"There is more"},{"anchor":"summary","id":"Summary"}],"id":"type-checking-and-spec-testing-with-typecheck","title":"Introducing TypeCheck"},{"group":"","headers":[{"anchor":"basic-types","id":"Basic Types"},{"anchor":"literals","id":"Literals"},{"anchor":"built-in-types","id":"Built-in types"},{"anchor":"typecheck-additions","id":"🚀 TypeCheck Additions"},{"anchor":"defining-specifications","id":"Defining Specifications"},{"anchor":"remote-types","id":"✅ Remote Types"}],"id":"comparing-typecheck-and-elixir-typespecs","title":"Comparison to Plain Typespecs"},{"group":"","headers":[],"id":"comparing-typecheck-and-norm","title":"Comparing TypeCheck and Norm"}],"modules":[{"group":"Main","id":"TypeCheck","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:value/0","id":"value/0","title":"value()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"conforms/3","id":"conforms/3","title":"conforms(value, type, options \\\\ Macro.escape(TypeCheck.Options.new()))"},{"anchor":"conforms!/3","id":"conforms!/3","title":"conforms!(value, type, options \\\\ Macro.escape(TypeCheck.Options.new()))"},{"anchor":"conforms?/3","id":"conforms?/3","title":"conforms?(value, type, options \\\\ Macro.escape(TypeCheck.Options.new()))"},{"anchor":"dynamic_conforms/3","id":"dynamic_conforms/3","title":"dynamic_conforms(value, type, options \\\\ TypeCheck.Options.new())"},{"anchor":"dynamic_conforms!/3","id":"dynamic_conforms!/3","title":"dynamic_conforms!(value, type, options \\\\ TypeCheck.Options.new())"},{"anchor":"dynamic_conforms?/3","id":"dynamic_conforms?/3","title":"dynamic_conforms?(value, type, options \\\\ TypeCheck.Options.new())"}]}],"sections":[{"anchor":"module-types-and-their-syntax","id":"Types and their syntax"},{"anchor":"module-named-types-type-guards","id":"Named Types Type Guards"},{"anchor":"module-manual-type-checking","id":"Manual type-checking"}],"title":"TypeCheck"},{"group":"Main","id":"TypeCheck.Defstruct","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"defstruct!/1","id":"defstruct!/1","title":"defstruct!(fields_with_types)"}]}],"sections":[],"title":"TypeCheck.Defstruct"},{"group":"Main","id":"TypeCheck.ExUnit","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"__using__/1","id":"__using__/1","title":"__using__(opts)"},{"anchor":"spectest/2","id":"spectest/2","title":"spectest(module, options \\\\ [])"}]}],"sections":[],"title":"TypeCheck.ExUnit"},{"group":"Main","id":"TypeCheck.External","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"apply/4","id":"apply/4","title":"apply(type, module, function, args)"},{"anchor":"apply!/4","id":"apply!/4","title":"apply!(type, module, function, args)"},{"anchor":"enforce_spec!/1","id":"enforce_spec!/1","title":"enforce_spec!(expr)"},{"anchor":"fetch_spec/3","id":"fetch_spec/3","title":"fetch_spec(module, function, arity)"},{"anchor":"fetch_type/3","id":"fetch_type/3","title":"fetch_type(module, type, var_types \\\\ [])"}]}],"sections":[{"anchor":"module-experimental","id":"Experimental"}],"title":"TypeCheck.External"},{"group":"Main","id":"TypeCheck.Macros","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"@/1","id":"@/1","title":"@ast"},{"anchor":"opaque!/1","id":"opaque!/1","title":"opaque!(typedef)"},{"anchor":"spec!/1","id":"spec!/1","title":"spec!(specdef)"},{"anchor":"type!/1","id":"type!/1","title":"type!(typedef)"},{"anchor":"typep!/1","id":"typep!/1","title":"typep!(typedef)"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"TypeCheck.Macros"},{"group":"Main","id":"TypeCheck.Options","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:remote_type/0","id":"remote_type/0","title":"remote_type()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:type_override/0","id":"type_override/0","title":"type_override()"},{"anchor":"t:type_overrides/0","id":"type_overrides/0","title":"type_overrides()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"check_overrides!/1","id":"check_overrides!/1","title":"check_overrides!(overrides)"},{"anchor":"new/0","id":"new/0","title":"new()"},{"anchor":"new/1","id":"new/1","title":"new(already_struct)"}]}],"sections":[{"anchor":"module-setting-different-options-for-different-dependencies","id":"Setting different options for different dependencies"},{"anchor":"module-the-supported-options-in-detail","id":"The supported options in detail"}],"title":"TypeCheck.Options"},{"group":"Main","id":"TypeCheck.Spec","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"defined?/3","id":"defined?/3","title":"defined?(module, function, arity)"},{"anchor":"lookup/3","id":"lookup/3","title":"lookup(module, function, arity)"},{"anchor":"lookup!/3","id":"lookup!/3","title":"lookup!(module, function, arity)"}]}],"sections":[],"title":"TypeCheck.Spec"},{"group":"Main","id":"TypeCheck.Type","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:expandable_type/0","id":"expandable_type/0","title":"expandable_type()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"build/2","id":"build/2","title":"build(type_ast, options \\\\ TypeCheck.Options.new())"},{"anchor":"type?/1","id":"type?/1","title":"type?(possibly_a_type)"}]}],"sections":[],"title":"TypeCheck.Type"},{"group":"Errors and Formatting them","id":"TypeCheck.TypeError","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:check_name/0","id":"check_name/0","title":"check_name()"},{"anchor":"t:extra_information/0","id":"extra_information/0","title":"extra_information()"},{"anchor":"t:location/0","id":"location/0","title":"location()"},{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:problematic_value/0","id":"problematic_value/0","title":"problematic_value()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:type_checked_against/0","id":"type_checked_against/0","title":"type_checked_against()"}]}],"sections":[],"title":"TypeCheck.TypeError"},{"group":"Errors and Formatting them","id":"TypeCheck.TypeError.DefaultFormatter","nested_context":"TypeCheck.TypeError","nested_title":".DefaultFormatter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"do_format/1","id":"do_format/1","title":"do_format(problem_tuple)"},{"anchor":"format/2","id":"format/2","title":"format(problem_tuple, location \\\\ [])"}]}],"sections":[],"title":"TypeCheck.TypeError.DefaultFormatter"},{"group":"Errors and Formatting them","id":"TypeCheck.TypeError.Formatter","nested_context":"TypeCheck.TypeError","nested_title":".Formatter","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:format/2","id":"format/2","title":"format(problem_tuple, location)"}]}],"sections":[],"title":"TypeCheck.TypeError.Formatter"},{"group":"Property Testing","id":"TypeCheck.Type.StreamData","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"arbitrary_primitive_type_gen/0","id":"arbitrary_primitive_type_gen/0","title":"arbitrary_primitive_type_gen()"},{"anchor":"arbitrary_type_gen/0","id":"arbitrary_type_gen/0","title":"arbitrary_type_gen()"},{"anchor":"fixed_list_gen/0","id":"fixed_list_gen/0","title":"fixed_list_gen()"},{"anchor":"to_gen/1","id":"to_gen/1","title":"to_gen(type)"},{"anchor":"wrap_with_gen/2","id":"wrap_with_gen/2","title":"wrap_with_gen(type, generator_function)"}]}],"sections":[],"title":"TypeCheck.Type.StreamData"},{"group":"Builtin Types","id":"TypeCheck.Builtin","nodeGroups":[{"key":"built-in-elixir-types","name":"Built-in Elixir types","nodes":[{"anchor":"any/0","id":"any/0","title":"any()"},{"anchor":"arity/0","id":"arity/0","title":"arity()"},{"anchor":"as_boolean/1","id":"as_boolean/1","title":"as_boolean(type)"},{"anchor":"atom/0","id":"atom/0","title":"atom()"},{"anchor":"binary/0","id":"binary/0","title":"binary()"},{"anchor":"bitstring/0","id":"bitstring/0","title":"bitstring()"},{"anchor":"boolean/0","id":"boolean/0","title":"boolean()"},{"anchor":"byte/0","id":"byte/0","title":"byte()"},{"anchor":"char/0","id":"char/0","title":"char()"},{"anchor":"charlist/0","id":"charlist/0","title":"charlist()"},{"anchor":"fixed_map/1","id":"fixed_map/1","title":"fixed_map(keywords)"},{"anchor":"fixed_tuple/1","id":"fixed_tuple/1","title":"fixed_tuple(list_of_element_types)"},{"anchor":"float/0","id":"float/0","title":"float()"},{"anchor":"fun/0","id":"fun/0","title":"fun()"},{"anchor":"function/0","id":"function/0","title":"function()"},{"anchor":"function/1","id":"function/1","title":"function(return_type)"},{"anchor":"function/2","id":"function/2","title":"function(param_types, return_type)"},{"anchor":"identifier/0","id":"identifier/0","title":"identifier()"},{"anchor":"integer/0","id":"integer/0","title":"integer()"},{"anchor":"iodata/0","id":"iodata/0","title":"iodata()"},{"anchor":"iolist/0","id":"iolist/0","title":"iolist()"},{"anchor":"keyword/0","id":"keyword/0","title":"keyword()"},{"anchor":"keyword/1","id":"keyword/1","title":"keyword(t)"},{"anchor":"list/0","id":"list/0","title":"list()"},{"anchor":"list/1","id":"list/1","title":"list(a)"},{"anchor":"literal/1","id":"literal/1","title":"literal(value)"},{"anchor":"map/0","id":"map/0","title":"map()"},{"anchor":"map/2","id":"map/2","title":"map(key_type, value_type)"},{"anchor":"maybe_improper_list/0","id":"maybe_improper_list/0","title":"maybe_improper_list()"},{"anchor":"maybe_improper_list/2","id":"maybe_improper_list/2","title":"maybe_improper_list(element_type, terminator_type)"},{"anchor":"mfa/0","id":"mfa/0","title":"mfa()"},{"anchor":"module/0","id":"module/0","title":"module()"},{"anchor":"neg_integer/0","id":"neg_integer/0","title":"neg_integer()"},{"anchor":"no_return/0","id":"no_return/0","title":"no_return()"},{"anchor":"non_neg_integer/0","id":"non_neg_integer/0","title":"non_neg_integer()"},{"anchor":"none/0","id":"none/0","title":"none()"},{"anchor":"nonempty_binary/0","id":"nonempty_binary/0","title":"nonempty_binary()"},{"anchor":"nonempty_bitstring/0","id":"nonempty_bitstring/0","title":"nonempty_bitstring()"},{"anchor":"nonempty_charlist/0","id":"nonempty_charlist/0","title":"nonempty_charlist()"},{"anchor":"nonempty_improper_list/2","id":"nonempty_improper_list/2","title":"nonempty_improper_list(element_type, terminator_type)"},{"anchor":"nonempty_list/0","id":"nonempty_list/0","title":"nonempty_list()"},{"anchor":"nonempty_list/1","id":"nonempty_list/1","title":"nonempty_list(type)"},{"anchor":"nonempty_maybe_improper_list/2","id":"nonempty_maybe_improper_list/2","title":"nonempty_maybe_improper_list(element_type, terminator_type)"},{"anchor":"number/0","id":"number/0","title":"number()"},{"anchor":"one_of/1","id":"one_of/1","title":"one_of(list_of_possibilities)"},{"anchor":"one_of/2","id":"one_of/2","title":"one_of(left, right)"},{"anchor":"pid/0","id":"pid/0","title":"pid()"},{"anchor":"port/0","id":"port/0","title":"port()"},{"anchor":"pos_integer/0","id":"pos_integer/0","title":"pos_integer()"},{"anchor":"range/1","id":"range/1","title":"range(range)"},{"anchor":"range/2","id":"range/2","title":"range(lower, higher)"},{"anchor":"reference/0","id":"reference/0","title":"reference()"},{"anchor":"sized_bitstring/1","id":"sized_bitstring/1","title":"sized_bitstring(size)"},{"anchor":"sized_bitstring/2","id":"sized_bitstring/2","title":"sized_bitstring(prefix_size, unit_size)"},{"anchor":"struct/0","id":"struct/0","title":"struct()"},{"anchor":"term/0","id":"term/0","title":"term()"},{"anchor":"timeout/0","id":"timeout/0","title":"timeout()"},{"anchor":"tuple/0","id":"tuple/0","title":"tuple()"}]},{"key":"extensions","name":"Extensions","nodes":[{"anchor":"fancy_map/3","id":"fancy_map/3","title":"fancy_map(fixed_kvs, required_kvs, optional_kvs)"},{"anchor":"fixed_list/1","id":"fixed_list/1","title":"fixed_list(element_types)"},{"anchor":"guarded_by/3","id":"guarded_by/3","title":"guarded_by(type, guard_ast, module \\\\ nil)"},{"anchor":"impl/1","id":"impl/1","title":"impl(protocol_name)"},{"anchor":"lazy/1","id":"lazy/1","title":"lazy(type_call_ast)"},{"anchor":"named_type/4","id":"named_type/4","title":"named_type(name, type, type_kind \\\\ :type, called_as \\\\ nil)"},{"anchor":"tuple/1","id":"tuple/1","title":"tuple(size)"}]}],"sections":[],"title":"TypeCheck.Builtin"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Any","nested_context":"TypeCheck.Builtin","nested_title":".Any","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Any"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Atom","nested_context":"TypeCheck.Builtin","nested_title":".Atom","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Atom"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Binary","nested_context":"TypeCheck.Builtin","nested_title":".Binary","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Binary"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Bitstring","nested_context":"TypeCheck.Builtin","nested_title":".Bitstring","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Bitstring"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Boolean","nested_context":"TypeCheck.Builtin","nested_title":".Boolean","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Boolean"},{"group":"Builtin Types","id":"TypeCheck.Builtin.CompoundFixedMap","nested_context":"TypeCheck.Builtin","nested_title":".CompoundFixedMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.CompoundFixedMap"},{"group":"Builtin Types","id":"TypeCheck.Builtin.FixedList","nested_context":"TypeCheck.Builtin","nested_title":".FixedList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.FixedList"},{"group":"Builtin Types","id":"TypeCheck.Builtin.FixedMap","nested_context":"TypeCheck.Builtin","nested_title":".FixedMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.FixedMap"},{"group":"Builtin Types","id":"TypeCheck.Builtin.FixedTuple","nested_context":"TypeCheck.Builtin","nested_title":".FixedTuple","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.FixedTuple"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Float","nested_context":"TypeCheck.Builtin","nested_title":".Float","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Float"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Function","nested_context":"TypeCheck.Builtin","nested_title":".Function","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"contravariant_wrapper/2","id":"contravariant_wrapper/2","title":"contravariant_wrapper(s, original)"},{"anchor":"param_check_code/3","id":"param_check_code/3","title":"param_check_code(param_type, clean_param, index)"}]}],"sections":[],"title":"TypeCheck.Builtin.Function"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Guarded","nested_context":"TypeCheck.Builtin","nested_title":".Guarded","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:ast/0","id":"ast/0","title":"ast()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"ast_gen/1","id":"ast_gen/1","title":"ast_gen(term)"}]}],"sections":[],"title":"TypeCheck.Builtin.Guarded"},{"group":"Builtin Types","id":"TypeCheck.Builtin.ImplementsProtocol","nested_context":"TypeCheck.Builtin","nested_title":".ImplementsProtocol","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.ImplementsProtocol"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Integer","nested_context":"TypeCheck.Builtin","nested_title":".Integer","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Integer"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Lazy","nested_context":"TypeCheck.Builtin","nested_title":".Lazy","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"lazily_expand_type/1","id":"lazily_expand_type/1","title":"lazily_expand_type(s)"}]}],"sections":[],"title":"TypeCheck.Builtin.Lazy"},{"group":"Builtin Types","id":"TypeCheck.Builtin.List","nested_context":"TypeCheck.Builtin","nested_title":".List","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:t/1","id":"t/1","title":"t(element_type)"}]}],"sections":[],"title":"TypeCheck.Builtin.List"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Literal","nested_context":"TypeCheck.Builtin","nested_title":".Literal","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Literal"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Map","nested_context":"TypeCheck.Builtin","nested_title":".Map","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Map"},{"group":"Builtin Types","id":"TypeCheck.Builtin.MaybeImproperList","nested_context":"TypeCheck.Builtin","nested_title":".MaybeImproperList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:t/2","id":"t/2","title":"t(element_type, terminator_type)"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"empty?/1","id":"empty?/1","title":"empty?(list)"}]}],"sections":[],"title":"TypeCheck.Builtin.MaybeImproperList"},{"group":"Builtin Types","id":"TypeCheck.Builtin.NamedType","nested_context":"TypeCheck.Builtin","nested_title":".NamedType","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"stringify_name/2","id":"stringify_name/2","title":"stringify_name(atom, opts)"}]}],"sections":[],"title":"TypeCheck.Builtin.NamedType"},{"group":"Builtin Types","id":"TypeCheck.Builtin.NegInteger","nested_context":"TypeCheck.Builtin","nested_title":".NegInteger","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.NegInteger"},{"group":"Builtin Types","id":"TypeCheck.Builtin.NonNegInteger","nested_context":"TypeCheck.Builtin","nested_title":".NonNegInteger","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.NonNegInteger"},{"group":"Builtin Types","id":"TypeCheck.Builtin.None","nested_context":"TypeCheck.Builtin","nested_title":".None","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.None"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Number","nested_context":"TypeCheck.Builtin","nested_title":".Number","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Number"},{"group":"Builtin Types","id":"TypeCheck.Builtin.OneOf","nested_context":"TypeCheck.Builtin","nested_title":".OneOf","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.OneOf"},{"group":"Builtin Types","id":"TypeCheck.Builtin.OptionalFixedMap","nested_context":"TypeCheck.Builtin","nested_title":".OptionalFixedMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.OptionalFixedMap"},{"group":"Builtin Types","id":"TypeCheck.Builtin.PID","nested_context":"TypeCheck.Builtin","nested_title":".PID","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.PID"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Port","nested_context":"TypeCheck.Builtin","nested_title":".Port","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Port"},{"group":"Builtin Types","id":"TypeCheck.Builtin.PosInteger","nested_context":"TypeCheck.Builtin","nested_title":".PosInteger","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.PosInteger"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Range","nested_context":"TypeCheck.Builtin","nested_title":".Range","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Range"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Reference","nested_context":"TypeCheck.Builtin","nested_title":".Reference","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Reference"},{"group":"Builtin Types","id":"TypeCheck.Builtin.SizedBitstring","nested_context":"TypeCheck.Builtin","nested_title":".SizedBitstring","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.SizedBitstring"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Tuple","nested_context":"TypeCheck.Builtin","nested_title":".Tuple","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0","title":"problem_tuple()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.Builtin.Tuple"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"default_overrides/0","id":"default_overrides/0","title":"default_overrides()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Access","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Access","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:access_fun/2","id":"access_fun/2","title":"access_fun(data, current_value)"},{"anchor":"t:any_container/0","id":"any_container/0","title":"any_container()"},{"anchor":"t:container/0","id":"container/0","title":"container()"},{"anchor":"t:get_and_update_fun/2","id":"get_and_update_fun/2","title":"get_and_update_fun(data, current_value)"},{"anchor":"t:get_fun/1","id":"get_fun/1","title":"get_fun(data)"},{"anchor":"t:key/0","id":"key/0","title":"key()"},{"anchor":"t:nil_container/0","id":"nil_container/0","title":"nil_container()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:value/0","id":"value/0","title":"value()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Access"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Agent","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Agent","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:agent/0","id":"agent/0","title":"agent()"},{"anchor":"t:name/0","id":"name/0","title":"name()"},{"anchor":"t:on_start/0","id":"on_start/0","title":"on_start()"},{"anchor":"t:state/0","id":"state/0","title":"state()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Agent"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Application","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Application","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:app/0","id":"app/0","title":"app()"},{"anchor":"t:application_key/0","id":"application_key/0","title":"application_key()"},{"anchor":"t:key/0","id":"key/0","title":"key()"},{"anchor":"t:restart_type/0","id":"restart_type/0","title":"restart_type()"},{"anchor":"t:start_type/0","id":"start_type/0","title":"start_type()"},{"anchor":"t:state/0","id":"state/0","title":"state()"},{"anchor":"t:value/0","id":"value/0","title":"value()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Application"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Base","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Base","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:decode_case/0","id":"decode_case/0","title":"decode_case()"},{"anchor":"t:encode_case/0","id":"encode_case/0","title":"encode_case()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Base"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Calendar","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Calendar","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:calendar/0","id":"calendar/0","title":"calendar()"},{"anchor":"t:date/0","id":"date/0","title":"date()"},{"anchor":"t:datetime/0","id":"datetime/0","title":"datetime()"},{"anchor":"t:day/0","id":"day/0","title":"day()"},{"anchor":"t:day_fraction/0","id":"day_fraction/0","title":"day_fraction()"},{"anchor":"t:day_of_era/0","id":"day_of_era/0","title":"day_of_era()"},{"anchor":"t:day_of_week/0","id":"day_of_week/0","title":"day_of_week()"},{"anchor":"t:era/0","id":"era/0","title":"era()"},{"anchor":"t:hour/0","id":"hour/0","title":"hour()"},{"anchor":"t:iso_days/0","id":"iso_days/0","title":"iso_days()"},{"anchor":"t:microsecond/0","id":"microsecond/0","title":"microsecond()"},{"anchor":"t:minute/0","id":"minute/0","title":"minute()"},{"anchor":"t:month/0","id":"month/0","title":"month()"},{"anchor":"t:naive_datetime/0","id":"naive_datetime/0","title":"naive_datetime()"},{"anchor":"t:second/0","id":"second/0","title":"second()"},{"anchor":"t:std_offset/0","id":"std_offset/0","title":"std_offset()"},{"anchor":"t:time/0","id":"time/0","title":"time()"},{"anchor":"t:time_zone/0","id":"time_zone/0","title":"time_zone()"},{"anchor":"t:time_zone_database/0","id":"time_zone_database/0","title":"time_zone_database()"},{"anchor":"t:utc_offset/0","id":"utc_offset/0","title":"utc_offset()"},{"anchor":"t:week/0","id":"week/0","title":"week()"},{"anchor":"t:year/0","id":"year/0","title":"year()"},{"anchor":"t:zone_abbr/0","id":"zone_abbr/0","title":"zone_abbr()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"calendar_gen/0","id":"calendar_gen/0","title":"calendar_gen()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Calendar"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Calendar.ISO","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Calendar.ISO","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:bce/0","id":"bce/0","title":"bce()"},{"anchor":"t:ce/0","id":"ce/0","title":"ce()"},{"anchor":"t:day/0","id":"day/0","title":"day()"},{"anchor":"t:day_of_week/0","id":"day_of_week/0","title":"day_of_week()"},{"anchor":"t:day_of_year/0","id":"day_of_year/0","title":"day_of_year()"},{"anchor":"t:era/0","id":"era/0","title":"era()"},{"anchor":"t:hour/0","id":"hour/0","title":"hour()"},{"anchor":"t:microsecond/0","id":"microsecond/0","title":"microsecond()"},{"anchor":"t:minute/0","id":"minute/0","title":"minute()"},{"anchor":"t:month/0","id":"month/0","title":"month()"},{"anchor":"t:quarter_of_year/0","id":"quarter_of_year/0","title":"quarter_of_year()"},{"anchor":"t:second/0","id":"second/0","title":"second()"},{"anchor":"t:weekday/0","id":"weekday/0","title":"weekday()"},{"anchor":"t:year/0","id":"year/0","title":"year()"},{"anchor":"t:year_of_era/0","id":"year_of_era/0","title":"year_of_era()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Calendar.ISO"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Calendar.TimeZoneDatabase","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Calendar.TimeZoneDatabase","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:time_zone_period/0","id":"time_zone_period/0","title":"time_zone_period()"},{"anchor":"t:time_zone_period_limit/0","id":"time_zone_period_limit/0","title":"time_zone_period_limit()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Calendar.TimeZoneDatabase"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Code","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Code","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:binding/0","id":"binding/0","title":"binding()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Code"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Code.Fragment","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Code.Fragment","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:binding/0","id":"binding/0","title":"binding()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Code.Fragment"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Collectable","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Collectable","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:command/0","id":"command/0","title":"command()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Collectable"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Config.Provider","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Config.Provider","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:config/0","id":"config/0","title":"config()"},{"anchor":"t:config_path/0","id":"config_path/0","title":"config_path()"},{"anchor":"t:state/0","id":"state/0","title":"state()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Config.Provider"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Date","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Date","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Date"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Date.Range","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Date.Range","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:iso_days/0","id":"iso_days/0","title":"iso_days()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Date.Range"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.DateTime","nested_context":"TypeCheck.DefaultOverrides","nested_title":".DateTime","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.DateTime"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.DynamicSupervisor","nested_context":"TypeCheck.DefaultOverrides","nested_title":".DynamicSupervisor","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:init_option/0","id":"init_option/0","title":"init_option()"},{"anchor":"t:on_start_child/0","id":"on_start_child/0","title":"on_start_child()"},{"anchor":"t:option/0","id":"option/0","title":"option()"},{"anchor":"t:strategy/0","id":"strategy/0","title":"strategy()"},{"anchor":"t:sup_flags/0","id":"sup_flags/0","title":"sup_flags()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.DynamicSupervisor"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Enum","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Enum","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:acc/0","id":"acc/0","title":"acc()"},{"anchor":"t:default/0","id":"default/0","title":"default()"},{"anchor":"t:element/0","id":"element/0","title":"element()"},{"anchor":"t:index/0","id":"index/0","title":"index()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Enum"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Enumerable","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Enumerable","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:acc/0","id":"acc/0","title":"acc()"},{"anchor":"t:continuation/0","id":"continuation/0","title":"continuation()"},{"anchor":"t:reducer/0","id":"reducer/0","title":"reducer()"},{"anchor":"t:result/0","id":"result/0","title":"result()"},{"anchor":"t:slicing_fun/0","id":"slicing_fun/0","title":"slicing_fun()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Enumerable"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Erlang.Binary","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Erlang.Binary","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:cp/0","id":"cp/0","title":"cp()"},{"anchor":"t:part/0","id":"part/0","title":"part()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Erlang.Binary"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Erlang.Calendar","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Erlang.Calendar","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:date/0","id":"date/0","title":"date()"},{"anchor":"t:datetime1970/0","id":"datetime1970/0","title":"datetime1970()"},{"anchor":"t:datetime/0","id":"datetime/0","title":"datetime()"},{"anchor":"t:time/0","id":"time/0","title":"time()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Erlang.Calendar"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Erlang.Inet","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Erlang.Inet","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:port_number/0","id":"port_number/0","title":"port_number()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Erlang.Inet"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Exception","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Exception","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:arity_or_args/0","id":"arity_or_args/0","title":"arity_or_args()"},{"anchor":"t:kind/0","id":"kind/0","title":"kind()"},{"anchor":"t:location/0","id":"location/0","title":"location()"},{"anchor":"t:non_error_kind/0","id":"non_error_kind/0","title":"non_error_kind()"},{"anchor":"t:stacktrace/0","id":"stacktrace/0","title":"stacktrace()"},{"anchor":"t:stacktrace_entry/0","id":"stacktrace_entry/0","title":"stacktrace_entry()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Exception"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.File","nested_context":"TypeCheck.DefaultOverrides","nested_title":".File","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:encoding_mode/0","id":"encoding_mode/0","title":"encoding_mode()"},{"anchor":"t:erlang_time/0","id":"erlang_time/0","title":"erlang_time()"},{"anchor":"t:fd/0","id":"fd/0","title":"fd()"},{"anchor":"t:io_device/0","id":"io_device/0","title":"io_device()"},{"anchor":"t:mode/0","id":"mode/0","title":"mode()"},{"anchor":"t:posix/0","id":"posix/0","title":"posix()"},{"anchor":"t:posix_time/0","id":"posix_time/0","title":"posix_time()"},{"anchor":"t:stat_options/0","id":"stat_options/0","title":"stat_options()"},{"anchor":"t:stream_mode/0","id":"stream_mode/0","title":"stream_mode()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.File"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.File.Stat","nested_context":"TypeCheck.DefaultOverrides","nested_title":".File.Stat","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.File.Stat"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.File.Stream","nested_context":"TypeCheck.DefaultOverrides","nested_title":".File.Stream","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.File.Stream"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Float","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Float","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:precision_range/0","id":"precision_range/0","title":"precision_range()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Float"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Function","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Function","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:information/0","id":"information/0","title":"information()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Function"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.GenServer","nested_context":"TypeCheck.DefaultOverrides","nested_title":".GenServer","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:debug/0","id":"debug/0","title":"debug()"},{"anchor":"t:from/0","id":"from/0","title":"from()"},{"anchor":"t:name/0","id":"name/0","title":"name()"},{"anchor":"t:on_start/0","id":"on_start/0","title":"on_start()"},{"anchor":"t:option/0","id":"option/0","title":"option()"},{"anchor":"t:options/0","id":"options/0","title":"options()"},{"anchor":"t:server/0","id":"server/0","title":"server()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.GenServer"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.IO","nested_context":"TypeCheck.DefaultOverrides","nested_title":".IO","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:chardata/0","id":"chardata/0","title":"chardata()"},{"anchor":"t:device/0","id":"device/0","title":"device()"},{"anchor":"t:nodata/0","id":"nodata/0","title":"nodata()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.IO"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.IO.ANSI","nested_context":"TypeCheck.DefaultOverrides","nested_title":".IO.ANSI","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:ansicode/0","id":"ansicode/0","title":"ansicode()"},{"anchor":"t:ansidata/0","id":"ansidata/0","title":"ansidata()"},{"anchor":"t:ansilist/0","id":"ansilist/0","title":"ansilist()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.IO.ANSI"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.IO.Stream","nested_context":"TypeCheck.DefaultOverrides","nested_title":".IO.Stream","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.IO.Stream"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Inspect","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Inspect","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Inspect"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Inspect.Algebra","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Inspect.Algebra","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Inspect.Algebra"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Inspect.Opts","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Inspect.Opts","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:color_key/0","id":"color_key/0","title":"color_key()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Inspect.Opts"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Kernel.ParallelCompiler","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Kernel.ParallelCompiler","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:error/0","id":"error/0","title":"error()"},{"anchor":"t:line/0","id":"line/0","title":"line()"},{"anchor":"t:location/0","id":"location/0","title":"location()"},{"anchor":"t:warning/0","id":"warning/0","title":"warning()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Kernel.ParallelCompiler"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Keyword","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Keyword","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:key/0","id":"key/0","title":"key()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:t/1","id":"t/1","title":"t(value)"},{"anchor":"t:value/0","id":"value/0","title":"value()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Keyword"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.List.Chars","nested_context":"TypeCheck.DefaultOverrides","nested_title":".List.Chars","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.List.Chars"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Macro","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Macro","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:captured_remote_function/0","id":"captured_remote_function/0","title":"captured_remote_function()"},{"anchor":"t:input/0","id":"input/0","title":"input()"},{"anchor":"t:metadata/0","id":"metadata/0","title":"metadata()"},{"anchor":"t:output/0","id":"output/0","title":"output()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Macro"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Macro.Env","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Macro.Env","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:context/0","id":"context/0","title":"context()"},{"anchor":"t:context_modules/0","id":"context_modules/0","title":"context_modules()"},{"anchor":"t:file/0","id":"file/0","title":"file()"},{"anchor":"t:line/0","id":"line/0","title":"line()"},{"anchor":"t:name_arity/0","id":"name_arity/0","title":"name_arity()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:variable/0","id":"variable/0","title":"variable()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Macro.Env"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Map","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Map","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:key/0","id":"key/0","title":"key()"},{"anchor":"t:value/0","id":"value/0","title":"value()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Map"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.MapSet","nested_context":"TypeCheck.DefaultOverrides","nested_title":".MapSet","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:t/1","id":"t/1","title":"t(value)"},{"anchor":"t:value/0","id":"value/0","title":"value()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.MapSet"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Module","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Module","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:def_kind/0","id":"def_kind/0","title":"def_kind()"},{"anchor":"t:definition/0","id":"definition/0","title":"definition()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Module"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.NaiveDateTime","nested_context":"TypeCheck.DefaultOverrides","nested_title":".NaiveDateTime","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.NaiveDateTime"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Node","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Node","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:state/0","id":"state/0","title":"state()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Node"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.OptionParser","nested_context":"TypeCheck.DefaultOverrides","nested_title":".OptionParser","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:argv/0","id":"argv/0","title":"argv()"},{"anchor":"t:errors/0","id":"errors/0","title":"errors()"},{"anchor":"t:options/0","id":"options/0","title":"options()"},{"anchor":"t:parsed/0","id":"parsed/0","title":"parsed()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.OptionParser"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Path","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Path","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Path"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Port","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Port","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:name/0","id":"name/0","title":"name()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Port"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Process","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Process","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:dest/0","id":"dest/0","title":"dest()"},{"anchor":"t:spawn_opt/0","id":"spawn_opt/0","title":"spawn_opt()"},{"anchor":"t:spawn_opts/0","id":"spawn_opts/0","title":"spawn_opts()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Process"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Range","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Range","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:limit/0","id":"limit/0","title":"limit()"},{"anchor":"t:step/0","id":"step/0","title":"step()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:t/2","id":"t/2","title":"t(first, last)"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Range"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Regex","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Regex","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"regex_gen/0","id":"regex_gen/0","title":"regex_gen()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Regex"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Registry","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Registry","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:body/0","id":"body/0","title":"body()"},{"anchor":"t:guard/0","id":"guard/0","title":"guard()"},{"anchor":"t:guards/0","id":"guards/0","title":"guards()"},{"anchor":"t:key/0","id":"key/0","title":"key()"},{"anchor":"t:keys/0","id":"keys/0","title":"keys()"},{"anchor":"t:match_pattern/0","id":"match_pattern/0","title":"match_pattern()"},{"anchor":"t:meta_key/0","id":"meta_key/0","title":"meta_key()"},{"anchor":"t:meta_value/0","id":"meta_value/0","title":"meta_value()"},{"anchor":"t:registry/0","id":"registry/0","title":"registry()"},{"anchor":"t:spec/0","id":"spec/0","title":"spec()"},{"anchor":"t:start_option/0","id":"start_option/0","title":"start_option()"},{"anchor":"t:value/0","id":"value/0","title":"value()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Registry"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Stream","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Stream","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:acc/0","id":"acc/0","title":"acc()"},{"anchor":"t:default/0","id":"default/0","title":"default()"},{"anchor":"t:element/0","id":"element/0","title":"element()"},{"anchor":"t:index/0","id":"index/0","title":"index()"},{"anchor":"t:timer/0","id":"timer/0","title":"timer()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Stream"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.String","nested_context":"TypeCheck.DefaultOverrides","nested_title":".String","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:codepoint/0","id":"codepoint/0","title":"codepoint()"},{"anchor":"t:grapheme/0","id":"grapheme/0","title":"grapheme()"},{"anchor":"t:pattern/0","id":"pattern/0","title":"pattern()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"printable_string_gen/0","id":"printable_string_gen/0","title":"printable_string_gen()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.String"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.String.Chars","nested_context":"TypeCheck.DefaultOverrides","nested_title":".String.Chars","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.String.Chars"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Supervisor","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Supervisor","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:child/0","id":"child/0","title":"child()"},{"anchor":"t:child_spec/0","id":"child_spec/0","title":"child_spec()"},{"anchor":"t:init_option/0","id":"init_option/0","title":"init_option()"},{"anchor":"t:name/0","id":"name/0","title":"name()"},{"anchor":"t:on_start/0","id":"on_start/0","title":"on_start()"},{"anchor":"t:on_start_child/0","id":"on_start_child/0","title":"on_start_child()"},{"anchor":"t:option/0","id":"option/0","title":"option()"},{"anchor":"t:strategy/0","id":"strategy/0","title":"strategy()"},{"anchor":"t:supervisor/0","id":"supervisor/0","title":"supervisor()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Supervisor"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.System","nested_context":"TypeCheck.DefaultOverrides","nested_title":".System","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:signal/0","id":"signal/0","title":"signal()"},{"anchor":"t:time_unit/0","id":"time_unit/0","title":"time_unit()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.System"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Task","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Task","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Task"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Task.Supervisor","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Task.Supervisor","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:option/0","id":"option/0","title":"option()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Task.Supervisor"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Time","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Time","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Time"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.URI","nested_context":"TypeCheck.DefaultOverrides","nested_title":".URI","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:port_number/0","id":"port_number/0","title":"port_number()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.URI"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Version","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Version","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:build/0","id":"build/0","title":"build()"},{"anchor":"t:major/0","id":"major/0","title":"major()"},{"anchor":"t:minor/0","id":"minor/0","title":"minor()"},{"anchor":"t:patch/0","id":"patch/0","title":"patch()"},{"anchor":"t:pre/0","id":"pre/0","title":"pre()"},{"anchor":"t:requirement/0","id":"requirement/0","title":"requirement()"},{"anchor":"t:t/0","id":"t/0","title":"t()"},{"anchor":"t:version/0","id":"version/0","title":"version()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Version"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Version.Requirement","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Version.Requirement","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:matchable/0","id":"matchable/0","title":"matchable()"},{"anchor":"t:t/0","id":"t/0","title":"t()"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Version.Requirement"},{"group":"Other","id":"TypeCheck.CompileError","sections":[],"title":"TypeCheck.CompileError"},{"group":"Other","id":"TypeCheck.Credo.Check.Readability.Specs","sections":[{"anchor":"module-explanation","id":"Explanation"},{"anchor":"module-check-specific-parameters","id":"Check-Specific Parameters"},{"anchor":"module-general-parameters","id":"General Parameters"}],"title":"TypeCheck.Credo.Check.Readability.Specs"}],"tasks":[]}